<?php

/**
 * vome Customizer data
 */
function vome_customizer($data)
{
	return array(
		'panel' => array(
			'id' => 'vome',
			'name' => esc_html__('Vome Customizer', 'vome'),
			'priority' => 10,
			'section' => array(
				'header_setting' => array(
					'name' => esc_html__('Header Topbar Setting', 'vome'),
					'priority' => 10,
					'fields' => array(
						array(
							'name' => esc_html__('Header Topbar BG', 'vome'),
							'id' => 'vome_header_top_bg_color',
							'default' => esc_html__('#F4F9FD', 'vome'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Topbar Swicher', 'vome'),
							'id' => 'vome_topbar_switch',
							'default' => true,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						/** header button info **/
						array(
							'name' => esc_html__('Show Button', 'vome'),
							'id' => 'vome_show_header_button',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Show Search', 'vome'),
							'id' => 'vome_show_header_search',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Button Text', 'vome'),
							'id' => 'vome_header_btn_text',
							'default' => esc_html__('Sign Up', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Button RTL Text ', 'vome'),
							'id' => 'vome_header_btn_text_rtl',
							'default' => esc_html__('Sign Up', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Button Link', 'vome'),
							'id' => 'vome_header_btn_link',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('User Link', 'vome'),
							'id' => 'vome_user_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
					)
				),
				'header_main_setting' => array(
					'name' => esc_html__('Header Setting', 'vome'),
					'priority' => 12,
					'fields' => array(
						array(
							'name' => esc_html__('Choose Header Style', 'vome'),
							'id' => 'choose_default_header',
							'type'     => 'select',
							'choices'  => array(
								'header-style-1' => esc_html__('Header Style 1', 'vome'),
								'header-style-2' => esc_html__('Header Style 2', 'vome'),
								'header-style-3' => esc_html__('Header Style 3', 'vome'),
								'header-style-4' => esc_html__('Header Style 4', 'vome'),
							),
							'default' => 'header-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Header Logo', 'vome'),
							'id' => 'logo',
							'default' => get_template_directory_uri() . '/img/logo/logo.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Header White Logo', 'vome'),
							'id' => 'seconday_logo',
							'default' => get_template_directory_uri() . '/img/logo/logo-white.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Header Retina Logo', 'vome'),
							'id' => 'retina_logo',
							'default' => get_template_directory_uri() . '/img/logo/logo@2x.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Header Retina White Logo', 'vome'),
							'id' => 'retina_secondary_logo',
							'default' => get_template_directory_uri() . '/img/logo/logo-white@2x.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Favicon', 'vome'),
							'id' => 'favicon_url',
							'default' => get_template_directory_uri() . '/img/logo/favicon.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Show Language', 'vome'),
							'id' => 'vome_header_lang',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						array(
							'name' => esc_html__('Show Header Search', 'vome'),
							'id' => 'vome_header_default_search',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
					)
				),
				'page_title_setting' => array(
					'name' => esc_html__('Breadcrumb Setting', 'vome'),
					'priority' => 13,
					'fields' => array(
						array(
							'name' => esc_html__('Choose Breadcrumb Style', 'vome'),
							'id' => 'choose_default_breadcrumb',
							'type'     => 'select',
							'choices'  => array(
								'breadcrumb-style-1' => esc_html__('Breadcrumb Style 1', 'vome'),
								'breadcrumb-style-2' => esc_html__('Breadcrumb Style 2', 'vome'),
								'breadcrumb-style-3' => esc_html__('Breadcrumb Style 3', 'vome'),
								'breadcrumb-style-4' => esc_html__('Breadcrumb Style 4', 'vome'),
							),
							'default' => 'breadcrumb-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb BG Color', 'vome'),
							'id' => 'vome_breadcrumb_bg_color',
							'default' => esc_html__('#f4f9fc', 'vome'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Padding Top', 'vome'),
							'id' => 'vome_breadcrumb_spacing',
							'default' => esc_html__('160px', 'vome'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),
						array(
							'name' => esc_html__('Breadcrumb Bottom Top', 'vome'),
							'id' => 'vome_breadcrumb_bottom_spacing',
							'default' => esc_html__('160px', 'vome'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),
						array(
							'name' => esc_html__('Breadcrumb Background Image', 'vome'),
							'id' => 'breadcrumb_bg_img',
							'default' => get_template_directory_uri() . '/img/bg/page-title.jpg',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Archive', 'vome'),
							'id' => 'breadcrumb_archive',
							'default' => esc_html__('Archive for category', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Search', 'vome'),
							'id' => 'breadcrumb_search',
							'default' => esc_html__('Search results for', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb tagged', 'vome'),
							'id' => 'breadcrumb_post_tags',
							'default' => esc_html__('Posts tagged', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb posted by', 'vome'),
							'id' => 'breadcrumb_artitle_post_by',
							'default' => esc_html__('Articles posted by', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Page Not Found', 'vome'),
							'id' => 'breadcrumb_404',
							'default' => esc_html__('Page Not Found', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Page', 'vome'),
							'id' => 'breadcrumb_page',
							'default' => esc_html__('Page', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Home', 'vome'),
							'id' => 'breadcrumb_home',
							'default' => esc_html__('Home', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
					)
				),
				'blog_setting' => array(
					'name' => esc_html__('Blog Setting', 'vome'),
					'priority' => 14,
					'fields' => array(
						array(
							'name' => esc_html__('Show Blog BTN', 'vome'),
							'id' => 'vome_blog_btn_switch',
							'default' => 1,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Button text', 'vome'),
							'id' => 'vome_blog_btn',
							'default' => esc_html__('Read More', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Button text RTL', 'vome'),
							'id' => 'vome_blog_btn_rtl',
							'default' => esc_html__('Read More', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Title', 'vome'),
							'id' => 'breadcrumb_blog_title',
							'default' => esc_html__('Blog', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Details Title', 'vome'),
							'id' => 'breadcrumb_blog_title_details',
							'default' => esc_html__('Blog Details', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),

					)
				),
				'google_map_setting' => array(
					'name' => esc_html__('Google Map Setting', 'vome'),
					'priority' => 15,
					'fields' => array(
						array(
							'name' => esc_html__('Map Api Key', 'vome'),
							'id' => 'vome_map_api',
							'default' => esc_html__('', 'vome'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),

					)
				),
				'vome_footer_setting' => array(
					'name' => esc_html__('Footer Setting', 'vome'),
					'priority' => 16,
					'fields' => array(
						array(
							'name' => esc_html__('Choose Footer Style', 'vome'),
							'id' => 'choose_default_footer',
							'type'     => 'select',
							'choices'  => array(
								'footer-style-1' => esc_html__('Footer Style 1', 'vome'),
								'footer-style-2' => esc_html__('Footer Style 2', 'vome'),
								'footer-style-3' => esc_html__('Footer Style 3', 'vome'),
								'footer-style-4' => esc_html__('Footer Style 4', 'vome'),
							),
							'default' => 'footer-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Background Image', 'vome'),
							'id' => 'vome_footer_bg',
							'default' => '',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer 2 BG Left', 'vome'),
							'id' => 'vome_footer_2_bg_left',
							'default' => get_template_directory_uri() . '/img/homepage2/footer/footer-left.jpg',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer 2 BG Right', 'vome'),
							'id' => 'vome_footer_2_bg_right',
							'default' => get_template_directory_uri() . '/img/homepage2/footer/footer-right.jpg',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer 2 Logo', 'vome'),
							'id' => 'vome_footer_2_logo',
							'default' => get_template_directory_uri() . '/img/logo/logo.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer 3 Logo', 'vome'),
							'id' => 'vome_footer_3_logo',
							'default' => get_template_directory_uri() . '/img/logo/logo-black.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer 4 Logo', 'vome'),
							'id' => 'vome_footer_4_logo',
							'default' => get_template_directory_uri() . '/img/logo/logo.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer BG Color', 'vome'),
							'id' => 'vome_footer_bg_color',
							'default' => esc_html__('#f4f9fc', 'vome'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Copy Right', 'vome'),
							'id' => 'vome_copyright',
							'default' => esc_html__('Copyright &copy;2023 Theme_Pure. All Rights Reserved', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Copy Right RTL', 'vome'),
							'id' => 'vome_copyright_rtl',
							'default' => esc_html__('Copyright &copy;2023 Theme_Pure. All Rights Reserved', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Scrollup Hide', 'vome'),
							'id' => 'vome_scrollup_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Social Hide', 'vome'),
							'id' => 'vome_footer_social_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Style 2 Switch', 'vome'),
							'id' => 'footer_style_2_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Style 3 Switch', 'vome'),
							'id' => 'footer_style_3_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Style 4 Switch', 'vome'),
							'id' => 'footer_style_4_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Facebook Url', 'vome'),
							'id' => 'vome_footer_fb_url',
							'default' => '#',
							'type' => 'text'
						),
						array(
							'name' => esc_html__('Twitter Url', 'vome'),
							'id' => 'vome_footer_twitter_url',
							'default' => '#',
							'type' => 'text'
						),
						array(
							'name' => esc_html__('Instagram Url', 'vome'),
							'id' => 'vome_footer_vine_url',
							'default' => '#',
							'type' => 'text'
						),
						array(
							'name' => esc_html__('Linkedin Url', 'vome'),
							'id' => 'vome_footer_weebly_url',
							'default' => '#',
							'type' => 'text'
						),
						array(
							'name' => esc_html__('Youtube Url', 'vome'),
							'id' => 'vome_footer_vuejs_url',
							'default' => '#',
							'type' => 'text'
						),
					)
				),
				'color_setting' => array(
					'name' => esc_html__('Color Setting', 'vome'),
					'priority' => 17,
					'fields' => array(
						array(
							'name' => esc_html__('Theme Color', 'vome'),
							'id' => 'vome_color_option',
							'default' => esc_html__('#FE6600', 'vome'),
							'transport'	=> 'refresh'
						)
					)
				),
				'error_page_setting' => array(
					'name' => esc_html__('404 Setting', 'vome'),
					'priority' => 19,
					'fields' => array(
						array(
							'name' => esc_html__('400 Text', 'vome'),
							'id' => 'vome_error_404_text',
							'default' => esc_html__('404', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Not Found Title', 'vome'),
							'id' => 'vome_error_title',
							'default' => esc_html__('Page not found', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('404 Description Text', 'vome'),
							'id' => 'vome_error_desc',
							'default' => esc_html__('Oops! The page you are looking for does not exist. It might have been moved or deleted', 'vome'),
							'type' => 'textarea',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('404 Link Text', 'vome'),
							'id' => 'vome_error_link_text',
							'default' => esc_html__('Back To Home', 'vome'),
							'type' => 'text',
							'transport'	=> 'refresh'
						)

					)
				),
				'rtl_setting' => array(
					'name' => esc_html__('RTL Setting', 'vome'),
					'priority' => 20,
					'fields' => array(
						array(
							'name' => esc_html__('Switch RTL', 'vome'),
							'id' => 'rtl_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						)
					)
				),
			),
		)
	);
}

add_filter('vome_customizer_data', 'vome_customizer');
